// Controls the rate of rotation on a mouse click+drag
final float RCONST = .01; // Weighting of rotation amount based on mouse movements
final float ZOOM_RATE = .3;   // Scroll wheel zooming rate
final float ZOOM_RANGE[] = {.2,50};  // Max and min zooms
final int DEPTH_TRANS_MAX = 410; // How far in the camera can go

// Constants for defining axes and lines
final int X_AXIS_COLOR = #FF0000;
final int Y_AXIS_COLOR = #00FF00;
final int Z_AXIS_COLOR = #0000FF;
final int AXIS_LENGTH = 25;
final int AXIS_THICKNESS = 4;
final int LINE_THICKNESS = 2;

// Menu-related constants
final int MENU_XBOUND = 100;
final color MENU_BG_COLOR = color(0,230);
final int BUTTON_WIDTH = 25;
final int COLORS_MENU_HEIGHT = 230;

// Different plotting shapes to choose from
final int[] SHAPES = {POINTS, LINES, TRIANGLES, 
                      TRIANGLE_STRIP, QUADS, QUAD_STRIP};

final int MAX_SMOOTHING = 20; // Max number of times the mesh can be smoothed

/* Weights for smoothing; points are multiplied 
    by the reciprocal of these values */
final int MAIN_WEIGHT = 2;   // For the current point being smoothed 
final int SIDE_WEIGHT = 12; // For points directly adjacent to the current point
final int SIDE_WEIGHT2 = 9; // For points on the boundaries of the mesh
final int DIAG_WEIGHT = 24; // For points diagonal to the current point
